var jsilConfig = {
    libraryRoot: "TestLibraries/",
    environment: 'spidermonkey_shell'
}; load("TestLibraries/JSIL.js");

contentManifest['Test'] = [
  ['Script', "UnsafeIntPerformanceComparison.cs.js"]
];

function runMain () { 
  // Forcibly remove the membrane from the pointer types because the mechanism 
  //  normally used to remove it (setTimeout) is not available here.
  // This is necessary because Object.defineProperty from within a getter/setter
  //  is broken in V8 and SpiderMonkey.
  var typesToForceRemoveMembraneFrom = [
    JSIL.Pointer, JSIL.BytePointer, JSIL.WordPointer, JSIL.DoubleWordPointer, JSIL.QuadWordPointer
  ];
  
  for (var i = 0, l = typesToForceRemoveMembraneFrom.length; i < l; i++) {
    var t = typesToForceRemoveMembraneFrom[i];
    JSIL.InitializeType(t);
  }
    
  JSIL.Host.runLaterFlush();
  
  print("// Test output begins here //"); 
  try { 
    var elapsedTime = runTestCase(timeout, elapsed); 
  } catch (exc) { 
    reportException(exc); 
  } 
  print("// Test output ends here //"); 
  print("// elapsed: " + elapsedTime);
}; 

shellStartup();